Package org.kapott.hbci.rewrite

## Class RHBCIVersion

- java.lang.Object
- - org.kapott.hbci.rewrite.Rewrite
  - - org.kapott.hbci.rewrite.RHBCIVersion

    public class RHBCIVersion
    extends Rewrite

Korrektur fehlender HBCI-Versionsnummern. Einige HBCI-Server übermitteln in Fehlernachrichten, die "globale" Fehler in der Kundennachricht beschreiben, im Datenelement "HBCI-Version" des Nachrichtenkopfes den Wert "0". Da HBCI4Java an dieser Stelle immer den gleichen Wert wie in der gesendeten Nachricht erwartet, wird in diesem Fall der erwartete Wert eingetragen.

Die Überprüfung, ob die HBCI-Versionsnummern in gesendeter und empfangender Nachricht übereinstimmen, kann mit dem Kernel-Parameter `client.errors.ignoreMsgCheckErrors` abgeschaltet werden (siehe dazu Beschreibung in `HBCIUtils`)

### Constructor Summary

Constructors
`RHBCIVersion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `incomingCrypted​(java.lang.String st, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingClearText, incomingData, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RHBCIVersion

    public RHBCIVersion()

### Method Detail

#### incomingCrypted

    public java.lang.String incomingCrypted​(java.lang.String st,
                                            MsgGen gen)

Overrides:
  `incomingCrypted` in class `Rewrite`